Subject: [TR] British Parts Common to a Number of Marques

From: Bud Rolofson <[email-masked]>
Date: Fri, 20 Dec 2019 16:50:05 -0700

Literati,

I have an opportunity to go to Cuba in the near future and have researched the British Car scene there and next to the Cadillacs and Buick Roadmasters left behind by the Mafia in 1959, and a bunch of Chevys, there are a few British Sports Cars in Cuba. They don’t get the inflow of British parts that the American parts get so I’m thinking of taking a few interchangeable parts amongst British cars such as tie rods, bearings, etc. that they might make use of (along with some new baseballs for the kids). 

I know they are very creative in making those cars still run but I thought a few harder to get parts, that you just can’t take off the washing machine, might be nice. 

I’ve heard suspension/steering parts are sought after due to the potholes ever present. So I have some Spitfire tie rods that might also fit MGs and some other such parts that might be interchangeable.

Any thoughts or suggestions? Maybe U-joints? I do have to take clothes so nothing too heavy please.

Thanks
Bud 

Extreme Parts Racing (more than just a haircut)

71TR6 CC57365 (Good 6)
71 Spitfire MK IV Race Car #3
69 Spitfire MK III (back up FE engine/dinghy car)
93 Minnie Winnie Race Support Vehicle 
77 Z-50A Hardly Davidson Honda Mini-Trail Bike (Triumph Pit Bike)

** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]